Bug 1337244 - [RFE] support for TasksMax and DefaultTasksAccounting?
Summary: [RFE] support for TasksMax and DefaultTasksAccounting?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On: 1265339 1339589
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 15:20 UTC by Ken Dreyer (Red Hat)
Modified: 2019-08-15 08:52 UTC (History)
6 users (show)

Fixed In Version: systemd-219-37.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:09:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2297 normal SHIPPED_LIVE systemd bug fix and enhancement update 2017-08-01 12:40:16 UTC
Red Hat Bugzilla 1335586 None CLOSED ceph systemd services warn about "TasksMax" 2019-09-20 06:10:55 UTC
Launchpad 1564917 None None None 2016-05-20 02:36:35 UTC

Internal Links: 1335586

Description Ken Dreyer (Red Hat) 2016-05-18 15:20:05 UTC
Ceph's systemd unit files currently include the "TasksMax" setting, explained at
https://github.com/ceph/ceph/commit/05cafcf1

RHEL 7.2's systemd does not support this setting, so currently Ceph's service units print warnings about it (described in bz 1335586).

I'm opening this RFE to find out if RHEL 7's systemd will ever support TasksMax and DefaultTasksAccounting.

If RHEL 7's systemd *will* support TasksMax and DefaultTasksAccounting, then Ceph will need to set TasksMax=infinity at that time.

If RHEL 7's systemd *will not* support TasksMax and DefaultTasksAccounting in the future, then it is safe for Ceph to remove the TasksMax setting downstream for RHEL 7.

Will RHEL 7's systemd backport this feature? (Personally this does not seem like a good thing to introduce in RHEL 7, since it will introduce a behavior change of restricting services like this.)

Comment 2 Lukáš Nykrýn 2016-05-19 08:13:42 UTC
Maybe we should play safe here and just remove that from ceph unit-file. The TasksMax is not even in fedora 23, so it is a really fresh feature.

Comment 3 Boris Ranto 2016-05-19 09:18:03 UTC
The ceph-common contains client packages, only (no daemons, no unit files). Also, we already have a downstream RHCEPH bz1335586 for the warning about TasksMax missing in RHEL. This was just a plain RFE for some future RHEL release (7.4 or 7.5, maybe?) to introduce these options for us -> moving back.

Comment 4 Lukáš Nykrýn 2016-05-19 10:38:09 UTC
Ok so lets postpone it for now.

Comment 5 Boris Ranto 2016-05-19 10:43:43 UTC
Let me rephrase my previous comment:

We are quite happy the way it is, now. Let's use this bz as a remainder to inform us (RHCEPH) when (or if) there will be any behaviour change in this area in RHEL.

Comment 6 Ken Dreyer (Red Hat) 2016-05-19 13:49:07 UTC
Lukáš, it sounds like this will probably never be backported to RHEL 7?

Comment 7 Lukáš Nykrýn 2016-05-20 08:37:12 UTC
If we will backport this to rhel then with infinity as a default settings, so you should be fine in either case.

Comment 8 Ken Dreyer (Red Hat) 2016-05-20 11:56:30 UTC
Thanks Lukáš!

Comment 9 Michal Sekletar 2016-05-25 11:31:48 UTC
Note that functionality realized by TasksMax is actually enabled by kernel's "pids" cgroup controller. This controller is not part of RHEL kernel because it was introduced quite recently. In order for us to backport this to systemd we first need pids controller backported to kernel. IIRC, patch introducing pids contoller wasn't very big so it should be easy to backport.

Comment 10 Jeremy Eder 2016-06-02 14:54:57 UTC
pids cgroup controller is in kernel 3.10.0-372 or later.
https://bugzilla.redhat.com/show_bug.cgi?id=1265339

Comment 11 Michal Sekletar 2016-07-15 09:04:12 UTC
I've already backported necessary patches. Feel free to try out test build

http://people.redhat.com/~msekleta/bz1337244/

Comment 12 Branislav Blaškovič 2016-07-18 07:34:03 UTC
QA Acking..

Comment 16 errata-xmlrpc 2017-08-01 09:09:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2297


Note You need to log in before you can comment on or make changes to this bug.